Subject: Re: linux-next: build failure after merge of the nvmem tree

From: Miquel Raynal <[email-masked]>
Date: Mon, 11 Dec 2023 11:30:59 +0100

Hi Srinivas,

[email-masked] wrote on Mon, 11 Dec 2023 10:23:40 +0000:

> Thankyou Stephen for the patch.
> 
> On 11/12/2023 05:49, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the nvmem tree, today's linux-next build (i386 defconfig)
> > failed like this:
> > 
> > /home/sfr/next/next/drivers/nvmem/core.c: In function 'nvmem_cell_put':
> > /home/sfr/next/next/drivers/nvmem/core.c:1603:9: error: implicit declaration of function 'nvmem_layout_module_put' [-Werror=implicit-function-declaration]
> >   1603 |         nvmem_layout_module_put(nvmem);
> >        |         ^~~~~~~~~~~~~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >    ed7778e43271 ("nvmem: core: Rework layouts to become regular devices")
> > 
> > I have applied the following patch for today.
> > 
> > From: Stephen Rothwell <[email-masked]>
> > Date: Mon, 11 Dec 2023 16:34:34 +1100
> > Subject: [PATCH] fix up for "nvmem: core: Rework layouts to become regular devices"
> > 
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >   drivers/nvmem/core.c | 5 +++++
> >   1 file changed, 5 insertions(+)
> > 
> > diff --git a/drivers/nvmem/core.c b/drivers/nvmem/core.c
> > index 9fc452e8ada8..784b61eb4d8e 100644
> > --- a/drivers/nvmem/core.c
> > +++ b/drivers/nvmem/core.c
> > @@ -1491,6 +1491,11 @@ struct nvmem_cell *of_nvmem_cell_get(struct device_node *np, const char *id)
> >   	return cell;
> >   }
> >   EXPORT_SYMBOL_GPL(of_nvmem_cell_get);
> > +
> > +#else /* IS_ENABLED(CONFIG_OF) */
> > +
> > +static inline void nvmem_layout_module_put(struct nvmem_device *nvmem) { }
> > +  
> 
> I see no reason why nvmem_layout_module_put() should be even under IS_ENABLED(CONFIG_OF).
> 
> Updated the patch with this fixed.

Ok, works for me. I will send a fixup with the doc change (see the
other kernel test robot report) so you can squash it as well with the
original patch.

I am surprised we get these now, I actually pushed the branch on my
Github 0-day repository and got no negative report within 3 days.
Anyway, I guess they have to prioritize the requests.

Thanks,
Miquèl